Subject: bug#8936: 24.0.50; Incompatible change in the meaning of "other window"

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jun 2011 08:42:06 -0400

> Date: Sun, 26 Jun 2011 14:12:12 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > What could possibly prevent Emacs from splitting the current window in
>  > two?  Only dimensions, or are there other reasons?
> 
> With emacs -Q it's only the dimensions.

I would consider making the another-frame behavior an option, then.
I think I would be more surprised to see a new frame than to have the
same window reused, if my current frame is so tiny.  YMMV, of course
(and I do see the rationale behind your design decision).